package org.apache.commons.lang3.concurrent;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.concurrent.Callable;
import java.util.concurrent.ExecutorService;
import org.apache.commons.lang3.concurrent.BackgroundInitializer;

class InitializationTask implements Callable<T> {
  private final ExecutorService execFinally;
  
  InitializationTask(ExecutorService exec) {
    this.execFinally = exec;
  }
  
  public T call() throws Exception {
    try {
      return (T)BackgroundInitializer.this.initialize();
    } finally {
      if (this.execFinally != null)
        this.execFinally.shutdown(); 
    } 
  }
}
